#include<stdio.h>
#include<stdio.h>

int main()
{
	int K, N, Ki;
	scanf("%d %d", &N, &K);
	int a[N];
	for(int i = 0; i < N; i++)
	{
		scanf("%d", &a[i]);
		if(a[i] == K)
			Ki = i;
	}
	if(a[N - 1] == K)
		printf("%d", a[0]);
	else
		printf("%d", a[Ki + 1]);
}